### Method

# EDataServer SourceOpenPGP set_key_id

since: 3.6

#### Declaration [src]

    void
    e_source_openpgp_set_key_id (
      ESourceOpenPGP* extension,
      const gchar* key_id
    )

#### Description [src]

Sets the OpenPGP key ID used to sign and encrypt messages.

The internal copy of `key_id` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.SourceOpenPGP:key-id`

#### Parameters

`key_id`

  Type: `const gchar*`

  The key ID used to sign and encrypt messages.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.